<?php

class ThreadTagImporters_Importer_vBulletin extends XenForo_Importer_vBulletin
{
	public static function getName()
	{
		return 'XF Thread Tags Import from vBulletin 3.7/3.8';
	}

	public function retainKeysReset() {}

	public function getSteps()
	{
		return array(
			'contentTags' => array(
				'title' => new XenForo_Phrase('import_content_tags')
			)
		);
	}

	public function configStepContentTags(array $options)
	{
		if ($options && isset($options['import_log']))
		{
			try
			{
				$this->_db->query('
					SELECT old_id
					FROM ' . $options['import_log'] . '
					LIMIT 1
				');
			}
			catch (Exception $e)
			{
				throw $this->_controller->getErrorOrNoPermissionResponseException('threadtagimporters_could_not_find_archived_import_log');
			}
			return false;
		}
		return $this->_controller->responseView('ThreadTagImporters_ViewAdmin_Import_vBulletin_ConfigContentTags', 'threadtagimporters_import_config_content_tags');
	}

	public function stepContentTags($start, array $options)
	{
		if (isset($options['import_log']) && !defined('IMPORT_LOG_TABLE'))
		{
			define('IMPORT_LOG_TABLE', $options['import_log']);
		}
		return parent::stepContentTags($start, $options);
	}
}